<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     CPTTA: Change Profile Text To Avatar
 *
 */
 
if (!defined('SMF')) 
	die('Hacking attempt...');

function CPTTA_Menu(&$areas)
{
	global $txt, $modSettings, $settings, $context;
	// Add CSS
	if (!empty($modSettings['cptta_enable']) && !empty($modSettings['cptta_float_right'])) {
	$context['html_headers'] .= "\n" . '
	<style type="text/css">
	#main_menu .dropmenu li#button_profile { float:right; }
	#main_menu .dropmenu li#button_profile ul { background: url(' . $settings['theme_url'] . '/images/theme/menu_gfx.png) 100% -130px no-repeat; right: 5px; }
	</style>
	';
	}
	
	// Change Profile Text To Avatar
	if (!empty($modSettings['cptta_enable'])) {
	$areas['profile']['title'] = empty($context['user']['avatar']['href']) ? $txt['profile'] : '<img src="' . $context['user']['avatar']['href'] . '" title="' . $txt['profile'] . '" alt="' . $txt['profile'] . '" width="20" height="20" />';
	}
}

function CPTTA_Settings(&$config_vars)
{
	global $txt;
	
	// Load the language
	loadLanguage('CPTTA');

	$cptta = array(
			// Add Settings
			array('check', 'cptta_enable'),
			array('check', 'cptta_float_right'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $cptta);
}
?>